## References and contact information
<br>

### KeyNote NF 
* Proyect in **GitHub**, with source code:  
    <https://github.com/dpradov/keynote-nf>  
    Binaries and source code of latest release in [Releases](https://github.com/dpradov/keynote-nf/releases)  
	Bug report or feature request: [Issues tracker](https://github.com/dpradov/keynote-nf/issues).
  
* **Forum** / groups:  
    <http://keynote-newfeat.sourceforge.net/forum/>  
    <https://sourceforge.net/p/keynote-newfeat/discussion/> &nbsp; (_Read only_)  
    <http://groups.google.com/group/keynote-nf> &nbsp; (_Read only_)  

* Project in SourceForge:  
  <http://sourceforge.net/projects/keynote-newfeat/>  
  It hosts, mainly, the [forum](http://keynote-newfeat.sourceforge.net/forum/) and [binaries](https://sourceforge.net/projects/keynote-newfeat/files/) of the program.
  
* Project in Google Code:  
  <http://code.google.com/p/keynote-nf/> &nbsp; (_Read only and actually redirected to GitHub_)  
  The repository in Google Code was exported to GitHub on 23/08/2015.

* Download old version **KeyNote 1.6.5**:  
  It is available in [SourceForge](https://sourceforge.net/projects/keynote/files/latest/download) and  
  also in [GitHub](https://github.com/dpradov/keynote-nf/tree/master/3rd_party/_Keynote_1.6.5)
  There was also a 1.6.9 executable (source code was not available) created for Marek, in his [Tranglos site](http://web.archive.org/web/20111015020842/http://www.tranglos.com/free/keynote.html)

* **Documentation and Help about KeyNote NF**:  
  Currently there is not an updated nor completed document or page that includes all the
  functionality of KeyNote NF. The Help file corresponds to version 1.6.5 and is also
  incomplete.
  Anyway, you can find information relative to funcionality specific to 1.6.5 (the majority) and 
  next versions in the following resources:
  
     * **http://www.tranglos.com/free/keynote.html**  
      It was the original site of KeyNote. It included many information, as Introduction, Features, FAQ, etc.  
      Is was also possible to download the original [KeyNote 1.6.5](http://web.archive.org/web/20111015020842/http://www.tranglos.com/free/keynote.html) 

     * **Keynote.chm**  
       Help file of KeyNote (initially in .HLP and now converted to .CHM)  
       Please, note that this file is not updated, and describes KeyNote version 1.6.5

     * **sample.knt**  
       This file is opened automatically when you start KeyNote for the first time. It contains many tips,
       features, keyboard shortcuts, and showcases some of KeyNote's capabilities (only to 1.6.5 version, by now)
       DO NOT USE THIS FILE FOR PERSONAL NOTES! It will be overwritten when you upgrade Keynote to a new version.
  
     * **KN_Handbook.knt**, **KN_Help.knt**, by Nathan Sendhil  
      - KN_Handbook.knt: This file is a compilation of many information related to KeyNote, prepared by Marek: 
      _"This file was created of my need to keep all the KeyNote related files at one spot."_  
      - KN_Help.knt: KeyNote Help file in KNT format  (based on updated help files, edited and reformatted by John Biederman,
	  who also added a few new sections)  
      Available in [KeyNote NF in GitHub](https://github.com/dpradov/keynote-nf/tree/master/doc/Help)
	  See also [KeyNote Add-ons](http://web.archive.org/web/20171030063640/http://www.tranglos.com/free/keynote_addons.html)  
      and [Plugins development](https://github.com/dpradov/keynote-nf/tree/master/plugins/plugins_development)
   
     * **history.txt**  
       File that contains detailed information about all KeyNote features added (and bugs corrected) since the 
       program was first released.
       Since version 1.7.4 each entry is classified as 'Enhancements' or 'Bugfixes', and referenced with 
       an issue number.
       With that number it is possible to get more information about the issue, now in
       [GitHub - issues](https://github.com/dpradov/keynote-nf/issues)  
       For example, version 1.7.6 included new feature, referenced by issue 57:  
           * _Issue #57: New kind of virtual nodes: links to other nodes (Mirror nodes)_  
       Accesible now via the following URL in GitHub: <https://github.com/dpradov/keynote-nf/issues/57>   
  
     * **Issues**  
       Is is possible to look for issues of certain label to find bugs resolved or new features.
       For example, look for new features or enhacements:  
       <https://github.com/dpradov/keynote-nf/labels/Type-Enhancement>
  
     * **Forums**  
       You can also find information in the forums, the [active one](http://keynote-newfeat.sourceforge.net/forum/) or the
       old ones, like the ones hosted in SourceForge, for [KeyNote](https://sourceforge.net/projects/keynote/support) 
       or [KeyNote NF](https://sourceforge.net/p/keynote-newfeat/discussion/); 
       also the [Google group](http://groups.google.com/group/keynote-nf).  
       For example, information about [Alarm Window](http://keynote-newfeat.sourceforge.net/forum/viewtopic.php?f=18&t=47)  
       And something in http://dpradov.blogspot.com.es/ (I'm not updating that blog)
  
     * **"Tip of the Day"**  
       The first entries in 'Tip of the Day' (KeyNote > Help) introduce some of the new characteristics of KeyNote NF. 
  
     * **bugs.txt** (also included as an entry in Keynote.chm)  
       The file "bugs.txt" contains a list of known bugs and limitations of the program. 
       Windows NT and Windows 2000/ME users: you MUST read this file!  
       Please, note that this file is only partially updated. Some of the bugs and limitations 
       described, have been resolved in last version of KeyNote NF. Some of them have been marked 
       as such, but others not.
<br><br>

* To contact Daniel Prado Velasco:  
  dprado.keynote@gmail.com
  
<br>  
###KeyNote 1.6.5  
Project KeyNote was closed in 2005 by Marek, but the following addresses are still available:

* Tranglos KeyNote:   
   <http://www.tranglos.com/free/keynote.html>   
   It is the original site of KeyNote. It includes many information, as Introduction, Features, FAQ, etc.
   It offers the source code of KeyNote (in a zip file). Note that actually that file is the same that the one used to construct KeyNote NF
   and that is available from the project KeyNote NF, in GitHub: in [3rd_party/_Keynote_1.6.5](3rd_party/_Keynote_1.6.5/_keynote_source_165.zip).
   
* KeyNote at SourceForge:   
   <http://keynote.sourceforge.net/>  
   <https://sourceforge.net/projects/keynote>  

   Project forum and trackers (wish list, bugs, feature requests):  
   <https://sourceforge.net/projects/keynote/support>
   
* Original website:  
  <http://keynote.prv.pl>   
  
* KeyNote 2.0 Development FAQ:  
  <http://www.tranglos.com/free/knt2devfaq.html>

* To contact Marek Jedlinkski (Poland), these were his email addresses:  
  marek@tranglos.com  
  marekjed@users.sourceforge.net  
  marekjed@pobox.com  

<br><br>  
  
####IMPORTANT. Information in the header of most files written by Marek
   As the headers of the files have been simplified (although mantaining the notices of copyright ownership), I have included 
   the header of one of those files (all about the same). It includes contact information and others URLs, although some of the 
   addresses are probably obsolete and older than others shown above (extracted from other files present on KeyNote 1.6.5 source code).  
      Note also that the header corresponds to 'Exhibit A' in [MPL 1.1](https://www.mozilla.org/en-US/MPL/1.1/). 
   I have contacted with Marek and have obtained his approval (mail dated 23/09/2015) to update to [MPL 2.0](https://www.mozilla.org/en-US/MPL/2.0/).
   
```delphi

	(* ************************************************************
	 KEYNOTE: MOZILLA PUBLIC LICENSE STATEMENT.
	 -----------------------------------------------------------
	 The contents of this file are subject to the Mozilla Public
	 License Version 1.1 (the "License"); you may not use this file
	 except in compliance with the License. You may obtain a copy of
	 the License at http://www.mozilla.org/MPL/

	 Software distributed under the License is distributed on an "AS
	 IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
	 implied. See the License for the specific language governing
	 rights and limitations under the License.

	 The Original Code is KeyNote 1.0.

	 The Initial Developer of the Original Code is Marek Jedlinski
	 <eristic@lodz.pdi.net> (Poland).
	 Portions created by Marek Jedlinski are
	 Copyright (C) 2000, 2001. All Rights Reserved.      
	 -----------------------------------------------------------
	 Contributor(s):                      
	 -----------------------------------------------------------
	 History:
	 -----------------------------------------------------------
	 Released: 30 June 2001
	 -----------------------------------------------------------
	 URLs:

	 - for OpenSource development:
	 http://keynote.sourceforge.net

	 - original author's software site:
	 http://www.lodz.pdi.net/~eristic/free/index.html
	 http://go.to/generalfrenetics

	 Email addresses (at least one should be valid)
	 <eristic@lodz.pdi.net>
	 <cicho@polbox.com>
	 <cicho@tenbit.pl>

	************************************************************ *)
	 
```
  